function du=calcdu(courb,u,deltaw);
du=zeros(size(u));
psi1=integphi(courb,u,[1;0;0;0;0]);
psi2=integphi(courb,u,[0;1;0;0;0]);
psi3=integphi(courb,u,[0;0;1;0;0]);
psi4=integphi(courb,u,[0;0;0;1;0]);
psi5=integphi(courb,u,[0;0;0;0;1]);

%psi1=psi1(1:2,:);
%psi2=psi2(1:2,:);
%psi3=psi3(1:2,:);
%psi4=psi4(1:2,:);
%psi5=psi5(1:2,:);

G=zeros(5,5);

N=size(psi1,2);
theta=0.5*(1-1/sqrt(6));

C11=(1-theta).*psi1(1,1:N-1)+theta.*psi1(1,2:N);
C12=(1-theta).*psi2(1,1:N-1)+theta.*psi2(1,2:N);
C13=(1-theta).*psi3(1,1:N-1)+theta.*psi3(1,2:N);
C14=(1-theta).*psi4(1,1:N-1)+theta.*psi4(1,2:N);
C15=(1-theta).*psi5(1,1:N-1)+theta.*psi5(1,2:N);
C21=(1-theta).*psi1(2,1:N-1)+theta.*psi1(2,2:N);
C22=(1-theta).*psi2(2,1:N-1)+theta.*psi2(2,2:N);
C23=(1-theta).*psi3(2,1:N-1)+theta.*psi3(2,2:N);
C24=(1-theta).*psi4(2,1:N-1)+theta.*psi4(2,2:N);
C25=(1-theta).*psi5(2,1:N-1)+theta.*psi5(2,2:N);
% Calcul de G
G(1,1)=sum(C11.*C11+C21.*C21);
G(1,2)=sum(C11.*C12+C21.*C22);
G(1,3)=sum(C11.*C13+C21.*C23);
G(1,4)=sum(C11.*C14+C21.*C24);
G(1,5)=sum(C11.*C15+C21.*C25);
G(2,2)=sum(C12.*C12+C22.*C22);
G(2,3)=sum(C12.*C13+C22.*C23);
G(2,4)=sum(C12.*C14+C22.*C24);
G(2,5)=sum(C12.*C15+C22.*C25);
G(3,3)=sum(C13.*C13+C23.*C23);
G(3,4)=sum(C13.*C14+C23.*C24);
G(3,5)=sum(C13.*C15+C23.*C25);
G(4,4)=sum(C14.*C14+C24.*C24);
G(4,5)=sum(C14.*C15+C24.*C25);
G(5,5)=sum(C15.*C15+C25.*C25);

theta=0.5*(1+1/sqrt(6));
C11=(1-theta).*psi1(1,1:N-1)+theta.*psi1(1,2:N);
C12=(1-theta).*psi2(1,1:N-1)+theta.*psi2(1,2:N);
C13=(1-theta).*psi3(1,1:N-1)+theta.*psi3(1,2:N);
C14=(1-theta).*psi4(1,1:N-1)+theta.*psi4(1,2:N);
C15=(1-theta).*psi5(1,1:N-1)+theta.*psi5(1,2:N);
C21=(1-theta).*psi1(2,1:N-1)+theta.*psi1(2,2:N);
C22=(1-theta).*psi2(2,1:N-1)+theta.*psi2(2,2:N);
C23=(1-theta).*psi3(2,1:N-1)+theta.*psi3(2,2:N);
C24=(1-theta).*psi4(2,1:N-1)+theta.*psi4(2,2:N);
C25=(1-theta).*psi5(2,1:N-1)+theta.*psi5(2,2:N);

% Calcul de G
G(1,1)=0.5*(sum(C11.*C11+C21.*C21)+G(1,1));
G(1,2)=0.5*(sum(C11.*C12+C21.*C22)+G(1,2));
G(1,3)=0.5*(sum(C11.*C13+C21.*C23)+G(1,3));
G(1,4)=0.5*(sum(C11.*C14+C21.*C24)+G(1,4));
G(1,5)=0.5*(sum(C11.*C15+C21.*C25)+G(1,5));
G(2,2)=0.5*(sum(C12.*C12+C22.*C22)+G(2,2));
G(2,3)=0.5*(sum(C12.*C13+C22.*C23)+G(2,3));
G(2,4)=0.5*(sum(C12.*C14+C22.*C24)+G(2,4));
G(2,5)=0.5*(sum(C12.*C15+C22.*C25)+G(2,5));
G(3,3)=0.5*(sum(C13.*C13+C23.*C23)+G(3,3));
G(3,4)=0.5*(sum(C13.*C14+C23.*C24)+G(3,4));
G(3,5)=0.5*(sum(C13.*C15+C23.*C25)+G(3,5));
G(4,4)=0.5*(sum(C14.*C14+C24.*C24)+G(4,4));
G(4,5)=0.5*(sum(C14.*C15+C24.*C25)+G(4,5));
G(5,5)=0.5*(sum(C15.*C15+C25.*C25)+G(5,5));

G(2,1)=G(1,2);
G(3,1)=G(1,3);
G(3,2)=G(2,3);
G(4,1)=G(1,4);
G(4,2)=G(2,4);
G(4,3)=G(3,4);
G(5,1)=G(1,5);
G(5,2)=G(2,5);
G(5,3)=G(3,5);
G(5,4)=G(4,5);
G=G/(N-1);
GM1=inv(G);
tmp=GM1*deltaw;
for i=1:2
    du(i,:)=psi1(i,:)*tmp(1,1)+psi2(i,:)*tmp(2,1)+...
        psi3(i,:)*tmp(3,1)+psi4(i,:)*tmp(4,1)+psi5(i,:)*tmp(5,1);
end
