function calcul
% Calcul de la trajectoire sur l'objet
%
global objet calculHndl resetHndl rouleHndl r1Hndl r2Hndl appli xs ys X V Y
global pthndl1 vecthndl1 center1 pthndl2 vecthndl2 center2

set(gcf,'Pointer','arrow');
set(calculHndl,'Enable','off');
set(rouleHndl,'Enable','off');
set(resetHndl,'Enable','off');
set(r1Hndl,'Enable','off');
set(r2Hndl,'Enable','off');
set(r1Hndl,'Value',0);
set(r2Hndl,'Value',0);
set(gcf,'WindowButtonDownFcn','')
set(gcf,'WindowButtonMotionFcn','');
set(gcf,'WindowButtonUpFcn','');

if strcmp(appli,'courbe')
    % On calcule le long de la courbe
    % On releve la trajectoire
    Y=releve(X,V,xs,ys);

    % On trace le chemin sur l'objet
    subplot(2,2,3);
    cla;
    mesh(objet.x,objet.y,objet.z,'EdgeColor',[0,0,0],'FaceColor','none');
    hold on
    plot3(Y(1,:),Y(2,:),Y(3,:),'b','LineWidth',3);
    hold off
    axis equal;
    subplot(2,2,2);
    set(rouleHndl,'Enable','on');
    title('Lancer le film en appuyant sur ''Roule''');
elseif strcmp(appli,'mpp')
    % On fait de la planification de trajectoire
    X(1,1)=get(pthndl1,'XData');
    X(2,1)=get(pthndl1,'YData');
    X(3,1)=get(pthndl1,'ZData');
    Xfin=zeros(3,1);
    Xfin(1,1)=get(pthndl2,'XData');
    Xfin(2,1)=get(pthndl2,'YData');
    Xfin(3,1)=get(pthndl2,'ZData');
    V=zeros(3,1);
    tmp=get(vecthndl1,'XData');V(1,1)=tmp(2)-tmp(1);
    tmp=get(vecthndl1,'YData');V(2,1)=tmp(2)-tmp(1);
    tmp=get(vecthndl1,'ZData');V(3,1)=tmp(2)-tmp(1);
    Vfin=zeros(3,1);
    tmp=get(vecthndl2,'XData');Vfin(1,1)=tmp(2)-tmp(1);
    tmp=get(vecthndl2,'YData');Vfin(2,1)=tmp(2)-tmp(1);
    tmp=get(vecthndl2,'ZData');Vfin(3,1)=tmp(2)-tmp(1);
    [xs,ys]=calctraj(X,V,Xfin,Vfin,xs,ys);
    
    Y=releve(X,V,xs,ys);


    subplot(2,2,2);
    set(rouleHndl,'Enable','on');
    title('Lancer le film en appuyant sur ''Roule''');

end
