function courbe
global objet X V xs ys fig1 calculHndl resetHndl rouleHndl r1Hndl appli fig1 xold yold zold cold
global pthndl1 vecthndl1 center1

appli='courbe';
set(r1Hndl,'Enable','off');
set(calculHndl,'Enable','off');
set(resetHndl,'Enable','off');
set(rouleHndl,'Enable','off');
set(gcf,'WindowButtonDownFcn','')
set(gcf,'WindowButtonMotionFcn','');
set(gcf,'WindowButtonUpFcn','');

% fig1=ptr sur l'objet au dpart
%global Y xs ys xold yold zold cold
if ~isempty(objet)
    subplot(2,2,2);cla;
    hold on
    axis([0 14 0 10])
    title('Cliquez des points. ''q'' pour sortir');
    %view(0,90)
    x = [];y = [];n = 0;
    % Loop, picking up the points.
    but = 1;
    exit=0;
    while (but == 1)&&(exit == 0)
        [xi,yi,but] = ginput(1);
        if length(but)==0,
            if n<2
                but=1;
                uiwait(warndlg('Choisissez au moins deux points','Attention','modal'))
            else
                but=2;
            end
        elseif but~=1
            if n<2
                but=1;
                uiwait(warndlg('Choisissez au moins deux points','Attention','modal'))
            end
        else
            plot(xi,yi,'bo')
            n = n + 1;
            text(xi,yi,[' ' int2str(n)],'Erase','back');
            x = [x; xi];
            y = [y; yi];
        end
    end


    % Interpolate the points with two splines, evaluated with a finer spacing.

    t = 1:n;
    ts = 1:1/100:n;
    xs = spline(t,x,ts);
    ys = spline(t,y,ts);

    % Plot the interpolated curve with a cyan colored line.

    plot(xs,ys,'r-');



    % On prend un point au hasard sur le convexe et un vecteur tangent
    [X,N]=proj([0;-1;0]);
    V=rand(3,1)-0.5;V=V-(V'*N)*N;V=V/norm(V);
    if isempty(pthndl1)|~ishandle(pthndl1)
        subplot(2,2,1);
        pthndl1=plot3(X(1),X(2),X(3),'ok')
    else
        set(pthndl1,'XData',X(1));
        set(pthndl1,'YData',X(2));
        set(pthndl1,'ZData',X(3));
    end
    if isempty(vecthndl1)|~ishandle(vecthndl1)
        subplot(2,2,1);
        vecthndl1=plot3([X(1),X(1)+V(1)],[X(2),X(2)+V(2)],[X(3),X(3)+V(3)],'b','LineWidth',3);
    else
        set(vecthndl1,'XData',[X(1),X(1)+V(1)]);
        set(vecthndl1,'YData',[X(2),X(2)+V(2)]);
        set(vecthndl1,'ZData',[X(3),X(3)+V(3)]);
    end
    R=[V,cross(V,N),-N];
    center1=[xs(1),ys(1),0];
    xx=R(1,1)*(objet.x-X(1))+R(2,1)*(objet.y-X(2))+R(3,1)*(objet.z-X(3))+xs(1);
    yy=R(1,2)*(objet.x-X(1))+R(2,2)*(objet.y-X(2))+R(3,2)*(objet.z-X(3))+ys(1);
    zz=R(1,3)*(objet.x-X(1))+R(2,3)*(objet.y-X(2))+R(3,3)*(objet.z-X(3));

    if isempty(fig1)|~ishandle(fig1)
        subplot(2,2,2)
        fig1=surf(objet.x,objet.y,objet.z);
        cold=get(fig1,'CData');
    end
    set(fig1,'EdgeAlpha',1);
    view(0,90)
    axis equal
    set(fig1,'XData',xx);
    set(fig1,'YData',yy);
    set(fig1,'ZData',zz);
    set(fig1,'CData',cold);

    axis([0 14 0 10 0 10]);
    % On allume les boutons et on stocke la figure initiale
    set(r1Hndl,'Enable','on');
    set(calculHndl,'Enable','on');
    title('Rorientez l''objet et lancez le calcul');

    xold=get(fig1,'XData');
    yold=get(fig1,'YData');
    zold=get(fig1,'ZData');
    cold=get(fig1,'CData');


    %
    %     % Generic button information
    %     btnPos=[0.75 0.31 0.05 0.05];
    %
    %     % On fait rouler
    %     %set(figure1,'WindowButtonUpFcn','');
    %     %set(figure1,'WindowButtonDownFcn','');
    %     %set(figure1,'WindowButtonMotionFcn','');
    %     X=zeros(3,1);
    %     X(1,1)=get(pthndl,'XData');
    %     X(2,1)=get(pthndl,'YData');
    %     X(3,1)=get(pthndl,'ZData');
    %     V=zeros(3,1);
    %     tmp=get(vecthndl,'XData');V(1,1)=tmp(2)-tmp(1);
    %     tmp=get(vecthndl,'YData');V(2,1)=tmp(2)-tmp(1);
    %     tmp=get(vecthndl,'ZData');V(3,1)=tmp(2)-tmp(1);
    %
    %     % On releve la trajectoire
    %     Y=releve(X,V,xs,ys);
    %
    %     % On trace le chemin sur l'objet
    %     subplot(2,2,3);
    %     cla;
    %     mesh(objet.x,objet.y,objet.z,'EdgeColor',[0,0,0],'FaceColor','none');
    %     hold on
    %     plot3(Y(1,:),Y(2,:),Y(3,:),'b','LineWidth',3);
    %     hold off
    %     axis equal;
    %     subplot(2,2,2);


else
    uiwait(warndlg('Vous devez d''abord definir un objet','Attention','modal'));
end



