function FF=f1(Y);
eps=0.00001;

xx=Y(1,1);yy=Y(2,1);zz=Y(3,1);vx=Y(4,1);vy=Y(5,1);vz=Y(6,1);
x=[xx,xx+eps,xx,xx,xx+eps*vx,xx-eps*vx];
y=[yy,yy,yy+eps,yy,yy+eps*vy,yy-eps*vy];
z=[zz,zz,zz,zz+eps,zz+eps*vz,zz-eps*vz];
Fv=F(x,y,z);

G=[Fv(1,2)-Fv(1,1);Fv(1,3)-Fv(1,1);Fv(1,4)-Fv(1,1)];

d2fdV2=(Fv(1,5)-2*Fv(1,1)+Fv(1,6))/(G'*G)/eps;

FF=[Y(4:6,1);-d2fdV2*G];
