function FF=f2(Y);
% On veut transporter le long d'un arc de geodesique le point, le vecteur tangent et un 3eme vecteur
% On ecrit l'equa diff verifiee par (X,T,V) et f2 donne le 2nd membre
eps=0.00001;

xx=Y(1,1);yy=Y(2,1);zz=Y(3,1);tx=Y(4,1);ty=Y(5,1);tz=Y(6,1);vx=Y(7,1);vy=Y(8,1);vz=Y(9,1);
x=[xx,xx+eps,xx,xx,xx+eps*tx,xx-eps*tx,xx+eps*(tx+vx),xx+eps*(tx-vx),xx-eps*(tx+vx),xx-eps*(tx-vx)];
y=[yy,yy,yy+eps,yy,yy+eps*ty,yy-eps*ty,yy+eps*(ty+vy),yy+eps*(ty-vy),yy-eps*(ty+vy),yy-eps*(ty-vy)];
z=[zz,zz,zz,zz+eps,zz+eps*tz,zz-eps*tz,zz+eps*(tz+vz),zz+eps*(tz-vz),zz-eps*(tz+vz),zz-eps*(tz-vz)];
Fv=F(x,y,z);

% Gradient de F

G=[Fv(1,2)-Fv(1,1);Fv(1,3)-Fv(1,1);Fv(1,4)-Fv(1,1)];


d2fdV2=(Fv(1,5)-2*Fv(1,1)+Fv(1,6))/(G'*G)/eps;
d2FdVdT=(Fv(1,7)-Fv(1,8)+Fv(1,9)-Fv(1,10))/4/(G'*G)/eps;

FF=[Y(4:6,1);-d2fdV2*G;-d2FdVdT*G];
