function [Y,cour]=geod(X,V,Vplan,u);
%Etant donne un controle (une courbe) u sur le plan, on fait rouler
% le corps en partant du point X avec l'orientation V. 
n=size(u,2);
Y=zeros(6,n+1);
cour=zeros(n+1,1);
%[g,h,cour(1,1)]=psi(X);
%Integration de la courbe sur le corps
h=1/n;
h2=h/2;
V1=u(:,1);
Y(1:3,1)=X;Y(4:6,1)=V/norm(V)*norm(V1);
    [g,cour(1)]=psi(Y(1:3,1));
    N=g/norm(g);
    V=Y(4:6,1);V=V/norm(V);
    M=cross(N,V);
    V2=Vplan;
    c=V1'*V2/norm(V2)/norm(V1);
    s=(V1(1,1)*V2(2,1)-V2(1,1)*V1(2,1))/norm(V1)/norm(V2);
    Y(4:6,1)=(c*V+s*M)*norm(V1);

for i=2:n
    %h=norm(V1);
    %h2=h*0.5;
    Y1=Y(:,i-1);
    ff1=f1(Y1);
    Y2=Y1+h2*ff1;
    ff2=f1(Y2);
    Y3=Y1+h2*ff2;
    ff3=f1(Y3);
    Y4=Y1+h*ff3;
    Y(:,i)=Y1+h/6*(ff1+2*ff2+2*ff3+f1(Y4));
    [g,cour(i)]=psi(Y(1:3,i));
    N=g/norm(g);
    V=Y(4:6,i);V=V/norm(V);
    M=cross(N,V);
    V2=V1;
    V1=u(:,i);
    c=V1'*V2/norm(V2)/norm(V1);
    s=(V1(1,1)*V2(2,1)-V2(1,1)*V1(2,1))/norm(V1)/norm(V2);
    Y(4:6,i)=(c*V+s*M)*norm(V1);
end
%h=norm(V1);
%h2=h*0.5;
Y1=Y(:,n);
ff1=f1(Y1);
Y2=Y1+h2*ff1;
ff2=f1(Y2);
Y3=Y1+h2*ff2;
ff3=f1(Y3);
Y4=Y1+h*ff3;
Y(:,n+1)=Y1+h/6*(ff1+2*ff2+2*ff3+f1(Y4));
[g,cour(n+1,1)]=psi(Y(1:3,n+1));
