function phi=integphi(courb,u,phi0);
% On integre a rebours l'equation en phi finissant en phi0
% et en fonction de la courbure courb
n=size(u,2);
phi=zeros(3,n);
phi(:,n)=phi0(1:3);
dphi1=phi0(5,1)-phi0(1,1);
dphi2=phi0(4,1)+phi0(2,1);
h=1/(n-1);
h2=h/2;
for i=n:-1:2
    u2=(u(2,i)+u(2,i-1))/2;
    u1=(u(1,i)+u(1,i-1))/2;
    k2=courb(i-1,1);
    phi1=phi(:,i);
    ff1=fphi(phi1,u1,u2,k2,dphi1,dphi2);
    phi2=phi1+h2*ff1;
    ff2=fphi(phi2,u1,u2,k2,dphi1,dphi2);
    phi3=phi1+h2*ff2;
    ff3=fphi(phi3,u1,u2,k2,dphi1,dphi2);
    phi4=phi1+h*ff3;
    phi(:,i-1)=phi1+h/6*(ff1+2*ff2+2*ff3+fphi(phi4,u1,u2,k2,dphi1,dphi2));
end
