function [xs,ys]=calctraj(X,V,Xfin,Vfin,xs,ys)
global button
II=sqrt(-1);


n=size(xs,2);
X2=[xs(1);ys(1)];
V2=[1;0];
V2fin=V2;
X2fin=[xs(n);ys(n)];
N=size(xs,2);
h=1/N;%ou 1/(N+1)?
u=[xs(2:N)-xs(1:N-1);ys(2:N)-ys(1:N-1)]/h;

n=size(u,2);

%Sur le plan
Npoints=70;
[Yo,courb]=geod2(X,V,V2,u);
epsi=1;
Y=Yo;
subplot(2,2,2);title('Ajustement du point d''arrive...');
for j=Npoints:-1:1
    %On recupere le point et l'orientation d'arrivee
    Xarri=Y(1:3,N);Varri=Y(4:6,N);
    [g,c]=psi(Xarri);
    Norm=g/norm(g);
    e1sphere=Varri/norm(Varri);
    e2sphere=-cross(Norm,e1sphere);
    e1plan=u(:,n);e1plan=e1plan/norm(e1plan);
    e11sphere=e1plan(1,1)*e1sphere-e1plan(2,1)*e2sphere;
    e22sphere=e1plan(2,1)*e1sphere+e1plan(1,1)*e2sphere;
    %On construit le chemin
    
    arrivee=X2+sum(u/N,2);
    dxplan=(X2fin-arrivee)/j;
    
    %Sur la sphere
    Xtmp=(1-1/j)*Xarri+Xfin/j;
    lambda=Xarri'*g/(Xtmp'*g);
    dxsphere=lambda*Xtmp-Xarri;
    
    phi1=dxplan(1,1);
    phi2=dxplan(2,1);
    phi4=-dxsphere'*e22sphere+phi2;
    phi5=dxsphere'*e11sphere-phi1;
    
    deltaw=[phi1;phi2;0;phi4;phi5];
    du=calcdu(courb,u,deltaw);
    u=u+du;
    [Y2,courb]=geod2(X,V,V2,u);
    dessine2(Y2,Yo,Xfin,u)
    Y=Y2;
end
subplot(2,2,2);title('Ajustement de l''orientation d''arrive...');

for i=Npoints:-1:1
    Xarri=Y(1:3,N);Varri=Y(4:6,N);
    [g,c]=psi(Xarri);
    s1=det([g/norm(g),Varri/norm(Varri),Vfin]);
    c1=Varri'/norm(Varri)*Vfin;
    ang1=angle(c1+II*s1);
    UU=u(:,n)/norm(u(:,n));
    c2=UU'*V2fin;
    s2=UU(1,1)*V2fin(2,1)-UU(2,1)*V2fin(1,1);
    ang2=angle(c2+II*s2);
    ang1=ang1+ang2;
    if ang1>2*pi
        ang1=ang1-2*pi;
    end
    if ang1<0
        ang1=ang1+2*pi;
    end
    string=sprintf('Iteration %d, angle %e',i,ang1);
    disp(string);
    Norm=g/norm(g);
    e1sphere=Varri/norm(Varri);
    e2sphere=-cross(Norm,e1sphere);
    e1plan=u(:,n)/norm(u(:,n));
    e2plan=[-e1plan(2,1);e1plan(1,1)];
    e11sphere=e1plan(1,1)*e1sphere-e1plan(2,1)*e2sphere;
    e22sphere=e1plan(2,1)*e1sphere+e1plan(1,1)*e2sphere;
    %On construit le chemin
    arrivee=X2+sum(u/N,2);
    dxplan=(X2fin-arrivee)/j;
    
    %Sur la sphere
    Xtmp=(1-1/j)*Xarri+Xfin/j;
    lambda=Xarri'*g/(Xtmp'*g);
    dxsphere=lambda*Xtmp-Xarri;

    phi1=dxplan(1,1);
    phi2=dxplan(2,1);
    phi4=-dxsphere'*e22sphere+phi2;
    phi5=dxsphere'*e11sphere-phi1;
    
    deltaw=[phi1;phi2;-ang1/i;phi4;phi5];

    du=calcdu(courb,u,deltaw);
    u=u+du;
    [Y2,courb]=geod2(X,V,V2,u);
    dessine2(Y2,Yo,Xfin,u)
    Y=Y2;
end
U=cumsum([[0;0],u]/N,2);
xs=U(1,:)+X2(1,1);
ys=U(2,:)+X2(2,1);


