function StrF=fonc(str)
global objet appli rouleHndl resetHndl calculHndl r1Hndl r2Hndl
set(rouleHndl,'Enable','off');
set(resetHndl,'Enable','off');
set(calculHndl,'Enable','off');
set(r1Hndl,'Enable','off');
set(r2Hndl,'Enable','off');
appli='';
subplot(2,2,1),plot3(0,0,0);cla;axis([-1 1 -1 1 -1 1]);axis square;
subplot(2,2,3),plot3(0,0,0);cla;axis([-1 1 -1 1 -1 1]);axis square;
subplot(2,2,2),hold off;plot(7,5,'w');hold on;axis([0 14 0 10]); axis equal;

[x,y,z]=sphere(30);
t=findobj(gcf,'tag','edtext');
set(t,'String',str);
strf=['Fv=',str,';'];
fid=fopen('F.m','w');
fprintf(fid,'function Fv=F(x,y,z)\n');
fprintf(fid,'%s\n',strf);
fclose(fid);
clear F;

% Fabrication de l'objet
[x1,y1,z1]=trouveconv(x,y,z);
objet.x=x1;objet.y=y1;objet.z=z1;

% Met  jour la premiere figure
subplot(2,2,1);
cla;
surf(x1,y1,z1);
hold on
axis equal

% Met  jour la deuxime figure
subplot(2,2,3);
cla;
mesh(x1,y1,z1,'EdgeColor',[0,0,0],'FaceColor','none');
hold on
axis equal;

set(gcf,'WindowButtonUpFcn','');
set(gcf,'WindowButtonDownFcn','');
set(gcf,'WindowButtonMotionFcn','');

