function roulement
global objet X V xs ys fig1 fig2 calculHndl rouleHndl resetHndl r1Hndl r2Hndl appli xold yold zold cold
global pthndl1 vecthndl1 center1 pthndl2 vecthndl2 center2 courbhndl

appli='mpp';
set(r1Hndl,'Enable','off');
set(r1Hndl,'Value',0);
set(r2Hndl,'Enable','off');
set(r2Hndl,'Value',1);
set(calculHndl,'Enable','off');
set(resetHndl,'Enable','off');
set(rouleHndl,'Enable','off');
set(gcf,'WindowButtonDownFcn','')
set(gcf,'WindowButtonMotionFcn','');
set(gcf,'WindowButtonUpFcn','');

if ~isempty(objet)
    subplot(2,2,2);cla;
    hold on
    axis([0 14 0 10])
 %   axis equal
    view(0,90)
    title('Choisissez deux points');
    % Loop, picking up the points.
    [x1,y1,but]=ginput(1);
    plot(x1,y1,'bo')
    text(x1,y1,[' 1'],'Erase','back');
    [x2,y2,but]=ginput(1);
    plot(x2,y2,'bo')
    text(x2,y2,[' 2'],'Erase','back');

    %Prenons un controle initial non-constant
    N=100;
    plan=0.5*[1-cos([0:N]*(pi/N));-sin([0:N]*(pi/N))];
    xs=((x2-x1)*plan(1,:)-(y2-y1)*plan(2,:))+x1;
    ys=((y2-y1)*plan(1,:)+(x2-x1)*plan(2,:))+y1;
    n=N+1;

    % Interpolate the points with two splines, evaluated with a finer spacing.

    courbhndl=plot(xs,ys,'r-');
    %On prend un point au hasard sur le convexe
    [X,N]=proj([0;-1;0]);
    hold on
    V=rand(3,1)-0.5;V=V-(V'*N)*N;V=V/norm(V);
    subplot(2,2,1);
    hold on
    if isempty(pthndl1)|~ishandle(pthndl1)
        pthndl1=plot3(X(1),X(2),X(3),'ob');
    else
        set(pthndl1,'XData',X(1));
        set(pthndl1,'YData',X(2));
        set(pthndl1,'ZData',X(3));
    end
    if isempty(vecthndl1)|~ishandle(vecthndl1)
        vecthndl1=plot3([X(1),X(1)+V(1)],[X(2),X(2)+V(2)],[X(3),X(3)+V(3)],'b','LineWidth',3);
    else
        set(vecthndl1,'XData',[X(1),X(1)+V(1)]);
        set(vecthndl1,'YData',[X(2),X(2)+V(2)]);
        set(vecthndl1,'ZData',[X(3),X(3)+V(3)]);
    end
    if isempty(pthndl2)|~ishandle(pthndl2)
        pthndl2=plot3(X(1),X(2),X(3),'ok');
    else
        set(pthndl2,'XData',X(1));
        set(pthndl2,'YData',X(2));
        set(pthndl2,'ZData',X(3));
    end
    if isempty(vecthndl2)|~ishandle(vecthndl2)
        vecthndl2=plot3([X(1),X(1)+V(1)],[X(2),X(2)+V(2)],[X(3),X(3)+V(3)],'k','LineWidth',3);
    else
        set(vecthndl2,'XData',[X(1),X(1)+V(1)]);
        set(vecthndl2,'YData',[X(2),X(2)+V(2)]);
        set(vecthndl2,'ZData',[X(3),X(3)+V(3)]);
    end
    subplot(2,2,2);
    R=[V,cross(V,N),-N];
    center1=[xs(1),ys(1),0];
    center2=[xs(n),ys(n),0];
    if isempty(fig1)|~ishandle(fig1)
        fig1=surf(objet.x,objet.y,objet.z);
    end
    cold=get(fig1,'CData');
    if isempty(fig2)|~ishandle(fig2)
        fig2=surf(objet.x,objet.y,objet.z);
    end
    set(fig1,'EdgeAlpha',1);
    set(fig2,'EdgeAlpha',1);
    view(0,90)
    xx=R(1,1)*(objet.x-X(1))+R(2,1)*(objet.y-X(2))+R(3,1)*(objet.z-X(3))+xs(1);
    yy=R(1,2)*(objet.x-X(1))+R(2,2)*(objet.y-X(2))+R(3,2)*(objet.z-X(3))+ys(1);
    zz=R(1,3)*(objet.x-X(1))+R(2,3)*(objet.y-X(2))+R(3,3)*(objet.z-X(3));
    set(fig1,'XData',xx);
    set(fig1,'YData',yy);
    set(fig1,'ZData',zz);
    set(fig1,'CData',cold);

    xx=R(1,1)*(objet.x-X(1))+R(2,1)*(objet.y-X(2))+R(3,1)*(objet.z-X(3))+xs(n);
    yy=R(1,2)*(objet.x-X(1))+R(2,2)*(objet.y-X(2))+R(3,2)*(objet.z-X(3))+ys(n);
    zz=R(1,3)*(objet.x-X(1))+R(2,3)*(objet.y-X(2))+R(3,3)*(objet.z-X(3));
    set(fig2,'XData',xx);
    set(fig2,'YData',yy);
    set(fig2,'ZData',zz);
    set(fig2,'CData',cold);


    axis([0 14 0 10 0 10]);
%    axis equal;
    % On allume les boutons et on stocke la figure initiale
    set(r1Hndl,'Enable','on');
    set(r2Hndl,'Enable','on');
    set(r1Hndl,'Value',0);
    set(r2Hndl,'Value',0);
    set(calculHndl,'Enable','on');

    title('Rorientez les objets et lancez le calcul');

    xold=get(fig1,'XData');
    yold=get(fig1,'YData');
    zold=get(fig1,'ZData');
    cold=get(fig1,'CData');

else
    uiwait(warndlg('Vous devez d''abord definir un objet','Attention','modal'));
end



