function [G,C]=psi(X);

eps=0.00001;eps2=eps*eps;

x=X(1,1);y=X(2,1);z=X(3,1);
xx=[x,x+eps,x,x,x-eps,x,x,x+eps,x+eps,x];
yy=[y,y,y+eps,y,y,y-eps,y,y+eps,y,    y+eps];
zz=[z,z,z,z+eps,z,z,z-eps,z,    z+eps,z+eps];
Fv=F(xx,yy,zz);
G=[Fv(1,2)-Fv(1,1);Fv(1,3)-Fv(1,1);Fv(1,4)-Fv(1,1)]/eps;


d2fdx2=(Fv(1,2)-2*Fv(1,1)+Fv(1,5));
d2fdy2=(Fv(1,3)-2*Fv(1,1)+Fv(1,6));
d2fdz2=(Fv(1,4)-2*Fv(1,1)+Fv(1,7));
d2fdxdy=(Fv(1,8)-Fv(1,2)-Fv(1,3)+Fv(1,1));
d2fdxdz=(Fv(1,9)-Fv(1,2)-Fv(1,4)+Fv(1,1));
d2fdydz=(Fv(1,10)-Fv(1,3)-Fv(1,4)+Fv(1,1));
H=[d2fdx2 d2fdxdy d2fdxdz;d2fdxdy d2fdy2 d2fdydz;d2fdxdz d2fdydz d2fdz2]/eps2;


courb=zeros(4,4);
courb(1:3,1:3)=H;
courb(4,1:3)=G';
courb(1:3,4)=G;
C=-det(courb)/((G'*G)^2);