function [X,Y,Z]=trouveconv(x,y,z);
lambda=ones(size(x));
eps=0.00001;
if F(0,0,0)>0
    uiwait(errordlg('L''objet ne contient pas 0','Erreur'));
end

for i=1:10
    X=lambda.*x;Y=lambda.*y;Z=lambda.*z;
    Fv=F(X,Y,Z);
    Fp=(F(X+eps*x,Y+eps*y,Z+eps*z)-Fv)/eps;
    lambda=lambda-Fv./Fp;
end
erreur=1;
if F(0,0,0)>0
    errordlg('L''objet ne contient pas 0','Erreur');
else
    for i=1:size(X,1)
        for j=1:size(X,2)
            Fv=F(X(i,j),Y(i,j),Z(i,j));
            d2fdx2=(F(X(i,j)+eps,Y(i,j),Z(i,j))-2*Fv+F(X(i,j)-eps,Y(i,j),Z(i,j)));
            d2fdy2=(F(X(i,j),Y(i,j)+eps,Z(i,j))-2*Fv+F(X(i,j),Y(i,j)-eps,Z(i,j)));
            d2fdz2=(F(X(i,j),Y(i,j),Z(i,j)+eps)-2*Fv+F(X(i,j),Y(i,j),Z(i,j)-eps));
            d2fdxdy=(F(X(i,j)+eps,Y(i,j)+eps,Z(i,j))-F(X(i,j)+eps,Y(i,j),Z(i,j)) ...
                -F(X(i,j),Y(i,j)+eps,Z(i,j))+Fv);
            d2fdxdz=(F(X(i,j)+eps,Y(i,j),Z(i,j)+eps)-F(X(i,j)+eps,Y(i,j),Z(i,j)) ...
                -F(X(i,j),Y(i,j),Z(i,j)+eps)+Fv);
            d2fdydz=(F(X(i,j),Y(i,j)+eps,Z(i,j)+eps)-F(X(i,j),Y(i,j),Z(i,j)+eps) ...
                -F(X(i,j),Y(i,j)+eps,Z(i,j))+Fv);
            H=[d2fdx2 d2fdxdy d2fdxdz;d2fdxdy d2fdy2 d2fdydz;d2fdxdz d2fdydz d2fdz2];
            E=eig(H);
            erreur=erreur&E(1,1)>0&E(2,1)>0&E(3,1)>0;
        end
    end
end
if (erreur==0) 
    uiwait(warndlg('L''objet n''est pas convexe','Attention'));
end